using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;

namespace StickyGame
{
    class Audio
    {
        public AudioEngine mAudioEngine;
        public WaveBank mWaveBank;
        public SoundBank mSoundBank;

        //constructor
        public Audio()
        {
            mAudioEngine = new AudioEngine("./Audio/StickySoundProjectFiles.xgs");
            mWaveBank = new WaveBank(mAudioEngine, "./Audio/StickyGameWaveBank.xwb");
            mSoundBank = new SoundBank(mAudioEngine, "./Audio/StickyGameSoundBank.xsb");
        }

        public void Update()//make sure you call this periodically, like once a frame
        {
            mAudioEngine.Update();
        }
        public Cue Play(string sound)
        {
            Cue cue = mSoundBank.GetCue(sound);
            cue.Play();
            return cue;
        }

        public void Play(Cue cue)
        {
            cue.Play();
        }

        public void Stop(Cue cue)
        {
            cue.Stop(AudioStopOptions.Immediate);
        }

    }
}
