using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Storage;

namespace StickyGame
{
    class Cursor
    {
        public SpriteProperties Properties = new SpriteProperties();
        Texture2D FiringTexture, SplatTexture;
        bool onFiringMode = true;

        //constructor
        public Cursor(GraphicsDevice theGraphicsDevice, ContentManager theContentManager)
        {
            Properties.Width = 58;
            Properties.Height = 58;
            Properties.Visible = true;

            FiringTexture = theContentManager.Load<Texture2D>("./Images/StickyFiringModeCursor") as Texture2D;
            SplatTexture = theContentManager.Load<Texture2D>("./Images/StickySplatModeCursor") as Texture2D;
        }

        public void Update(MouseState mousestate)
        {
            Properties.X = mousestate.X;
            Properties.Y = mousestate.Y;
        }

        public void ChangeFiringMode(bool firingmode)
        {
            onFiringMode=firingmode;
        }

        public void Draw(SpriteBatch theSpriteBatch)
        {
            if (Properties.Visible)
            {
                if (onFiringMode)
                {
                    theSpriteBatch.Draw(FiringTexture, new Rectangle(Properties.X, Properties.Y, Properties.Width, Properties.Height), Color.White);
                }
                else
                {
                    theSpriteBatch.Draw(SplatTexture, new Rectangle(Properties.X, Properties.Y, Properties.Width, Properties.Height), Color.White);
                }
            }
        }
    }
}
