using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Storage;

namespace StickyGame
{
    class Projectile
    {
        public SpriteProperties Properties = new SpriteProperties();
        private bool mFiringMode;
        public bool FiringMode
        {
            get
            {
                return mFiringMode;
            }
            set
            {
                mFiringMode = value;
            }
        }

        //constructor
        public Projectile(GraphicsDevice theGraphicsDevice, ContentManager theContentManager)
        {
            Properties.fWidth = 18f;
            Properties.fHeight = 16f;
            Properties.Visible = false;
            Properties.Texture = theContentManager.Load<Texture2D>("./Images/StickyProjectile") as Texture2D;

            mFiringMode = true;
        }

        public void Update()
        {
            
            Properties.fX += Properties.fVX;
            Properties.fY += Properties.fVY;
        }

        public void Draw(SpriteBatch theSpriteBatch)
        {
            if (Properties.Visible)
            {
                theSpriteBatch.Draw(Properties.Texture,
                    new Rectangle((int)Properties.fX, (int)Properties.fY, (int)Properties.fWidth, (int)Properties.fHeight),
                    Color.White);
            }
        }

        public void Fire(int startx, int starty,float angle,float speed)
        {
            Properties.fX = (float)startx;
            Properties.fY = (float)starty;
            Properties.Visible = true;

            //the angle of the turret turned into radians multiplied by the speed constant
            Properties.fVX = (float)(Math.Cos(angle) * 90 / Math.PI)*speed;
            Properties.fVY = (float)(Math.Sin(angle) * 90 / Math.PI)*speed;
        }

    }
}
