using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Storage;

namespace StickyGame
{
    class Splat
    {
        public SpriteProperties Properties = new SpriteProperties();
        public int Life;

        public Splat(GraphicsDevice theGraphicsDevice, ContentManager theContentManager)
        {
            Properties.Width = 44;
            Properties.Height = 48;
            Properties.Texture = theContentManager.Load<Texture2D>("./Images/StickySplat") as Texture2D;

            Life=100;
        }

        public void Update()
        {
            if (Properties.Visible)
            {
                Life--;
            }
            if (Life <= 0)
            {
                Properties.Visible = false;
            }
        }

        public void Draw(SpriteBatch theSpriteBatch)
        {
            if (Properties.Visible)
            {
                theSpriteBatch.Draw(Properties.Texture, new Rectangle(Properties.X, Properties.Y, Properties.Width, Properties.Height), Color.White);
            }
        }

        public void Spawn(int startx, int starty)
        {
            Properties.Visible = true;
            Properties.X = startx;
            Properties.Y = starty;

            Life = 100;
        }

    }
}
