using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Storage;

namespace StickyGame
{
    class StickyGoo
    {
        const int MAX_LIFE=3000;
        const int LEVEL_LIFE_MODIFIER = 200;

        public SpriteProperties Properties = new SpriteProperties();
        public BoundingBox BoundingBox = new BoundingBox();

        private int mLife;
        public int Life
        {
            get
            { return mLife; }
            set
            { mLife = value; }
        }

        //constructor
        public StickyGoo(GraphicsDevice theGraphicsDevice, ContentManager theContentManager)
        {
            Properties.Width = 24;
            Properties.Height = 24;
            Properties.Texture = theContentManager.Load<Texture2D>("./Images/StickyGoo") as Texture2D;
        }

        public void Update()
        {
            if (Properties.Visible)
            { mLife--; }
            if (mLife <= 0)
            { Properties.Visible = false; }
        }
        public void Draw(SpriteBatch theSpriteBatch)
        {
            if(Properties.Visible)
            {
                theSpriteBatch.Draw(Properties.Texture,
                    new Rectangle(Properties.X, Properties.Y, Properties.Width, Properties.Height),
                    Color.White);
            }
        }

        public void Fire(int startx, int starty,int level)
        {
            Properties.Visible = true;
            Properties.X = startx;
            Properties.Y = starty;

            mLife = MAX_LIFE-(level*LEVEL_LIFE_MODIFIER);

            BoundingBox.Min = new Vector3((float)Properties.X, (float)Properties.Y, 0f);
            BoundingBox.Max = new Vector3((float)(Properties.X + Properties.Width), (float)(Properties.Y + Properties.Height), 0f);
        }
    }
}
