using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Storage;

namespace StickyGame
{
    class Turret
    {
        public SpriteProperties Properties=new SpriteProperties();
        private float mRotationAngle = 0;
        public float RotationAngle
        {
            get
            {
                return mRotationAngle;
            }
            set
            {
                mRotationAngle = value;
            }
        }

        //constructor
        public Turret(GraphicsDevice theGraphicsDevice, ContentManager theContentManager)
        {
            Properties.Width = 96;
            Properties.Height = 64;
            Properties.X = Properties.Width/2;//have to adjust since the object will be rotated, i probably did this wrong, used to be 20+
            Properties.Y = 280+Properties.Height/2;
            Properties.Visible = true;
            Properties.Texture = theContentManager.Load<Texture2D>("./Images/StickyTurret") as Texture2D;
        }

        public void Update(Vector2 target)
        {
            //set the rotation angle for the turret based on the mouse position
            mRotationAngle = AngleToFace(new Vector2(Properties.X,Properties.Y),target);
        }
        public void Draw(SpriteBatch theSpriteBatch)
        {
            if(Properties.Visible)
            {
                theSpriteBatch.Draw(Properties.Texture,
                    new Rectangle(Properties.X,Properties.Y,Properties.Width,Properties.Height),
                    null,
                    Color.White,
                    mRotationAngle,
                    new Vector2(48,32),
                    SpriteEffects.None,
                    0);
            }
        }

        private float AngleToFace(Vector2 sprite1, Vector2 sprite2)
        {
            //some basic trig to get the turret angle we need to face the mouse
            //we know the distance between sprite 1 and sprite 2 (x and y difference)
            float XDistance = sprite2.X - sprite1.X;
            float YDistance = sprite2.Y - sprite1.Y;
            //the tangent (opposite over adjacent)(y/x) is the angle we need
            //to find the tangent we use the arctangent of x and y
            float angle = (float)Math.Atan2(YDistance, XDistance);

            return angle;
        }

    }
}
